package com.sinosig.core.module2.dao;

import com.sinosig.core.module2.filter.YDJJDCSearchContext;
import com.sinosig.core.module2.dao.po.IYDJJDCTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IYDJJDCTableDAO {

    IYDJJDCTable createYdjjdcTable();

    boolean remove(String ydjjdcid);

    boolean update(IYDJJDCTable et);

    boolean create(IYDJJDCTable et);

    IYDJJDCTable get(String ydjjdcid);

    IYDJJDCTable get(IYDJJDCTable et);


    List<IYDJJDCTable> searchDefault(YDJJDCSearchContext context);
}
